Bug 679385 - Fedora 14 will not install to aacraid controller
Summary: Fedora 14 will not install to aacraid controller
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 14
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-22 12:51 UTC by Norman
Modified: 2012-08-16 12:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 12:03:38 UTC
Type: ---


Attachments (Terms of Use)
Syslog capture from Fedora 14 installation /tmp/syslog (78.21 KB, text/plain)
2011-02-27 17:00 UTC, Norman
no flags Details

Description Norman 2011-02-22 12:51:34 UTC
Description of problem:
Fedora 14 does not see storage on RAID controllers

Version-Release number of selected component (if applicable):
Fedora 14 DVD 64 bit

How reproducible:
Try to install Fedora 14 to a RAID controller using aacraid.

Steps to Reproduce:
1. boot from Fedora 14
2. see no storage to install the OS
3. 
  
Actual results:
The  Adaptec controller RAID5 is not detected by the installer

Expected results:
The aacraid module is broken in the Fedora 14 / 64 bit installer

Additional info:
CentOS 5.5 and Ubuntu 10.10 and 10.4 have no problem installing to the same box.

Comment 1 Norman 2011-02-22 12:55:50 UTC
If a driver diskette is needed, I have a donate server with DKMS and a working Adaptec driver, but the kernel version used to boot Fedora 14 is not the same as the installed kernel, the module made on the donate system is another kernel version.

Why does Fedora not use the "stock" installed kernel version, to install the OS?

Comment 2 Chris Lumens 2011-02-22 14:49:10 UTC
The same kernel is used for installation as is used for the installed system.

Please attach /tmp/syslog (or a picture of what's on tty3 and tty4).

Comment 3 Norman 2011-02-27 17:00:09 UTC
Created attachment 481258 [details]
Syslog capture from Fedora 14 installation /tmp/syslog

Syslog from /tmp/ during Fedora 14 install shows the array and the drives that are array members.
Yet the array is fine, no alarm, and no failed raidset when rebooted.

Again, other Linux distributions work on the very same array and system, immediately after failing to install Fedora 14.

Comment 4 Chris Lumens 2011-02-28 15:06:42 UTC
That wasn't really as helpful as I was hoping.  Can you also attach /tmp/storage.log?  Thanks.

Comment 5 Tristan Santore 2011-03-19 19:59:48 UTC
I see that you flashed to the latest adaptec firmware.
3.513374] AAC0: kernel 5.2-0[18252] Nov 22 2010

I have got a Adaptec 5805 card, and have also problems with it.
Live USB wont boot so I can install and with F14, it even kernel paniced on me.

I will poke around more tomorrow. I should also say, that I have the funny feeling that the latest firmware is doing something dodgy, as my array got all messed up, but at this stage I have no proof of that.

Did you see the Adaptec Warning that you might have to apply a hotfix from the Adaptec Cards bios ? Or arrays might not be visible ? 

You should check the support pages, and if you could please let us know if that fixed it for you. As with my recent issue, I very very strongly recommend you backup your data before you apply the hotfix from within the raid controllers bios. Just in case that that was the issue I had and it ate my array.

Then I would also like to here about that, as at least then I will know it was not something else.

Thanks.

Comment 6 Tristan Santore 2011-03-20 10:23:30 UTC
Ok. If anyone has a bug where the kernel panics with an Adaptec RAID card being mentioned. The problem is Active State Power Management.

ASPM can be disabled in the kernel by passing the following line to the kernel:

pcie_aspm=off

The above can be appended to the kernel line in grub.

As to the above issue, I should also state that some 2TB HSs will not work on the Adpatec raid cards, they will either have to be flashed or jumpered down to sata1.
According to Adaptec, with no performance decrease.

I hope some of this info will help somebody.

I will file a common bugs on the Fedora wiki.

A little more info about ASPM can be found on the RHEL 6 docs found here:

http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Power_Management_Guide/ASPM.html

Comment 7 Fedora End Of Life 2012-08-16 12:03:40 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.